
package de.ivu.elect.business.wahlausschuss.boundary;

import static java.util.Collections.sort;

import java.util.List;

import de.ivu.elect.business.wahlausschuss.control.WahlausschussEntschaedigungByRolleComparator;
import de.ivu.elect.business.wahlausschuss.entity.WahlausschussEntschaedigung;

public class WahlausschussEntschaedigungSearch extends AbstractWahlausschussEntschaedigungSearch {

  public WahlausschussEntschaedigungSearch() {
    super();
  }

  @Override
  protected List<WahlausschussEntschaedigung> querySearchResult(WahlausschussEntschaedigungSearchParameters searchParameters) {
    List<WahlausschussEntschaedigung> result = dao.findByWahl(searchParameters.getWahl());
    sort(result, new WahlausschussEntschaedigungByRolleComparator());

    return result;
  }
}
